Bric::Util::Alerted::Parts::Sent - Interface to objects describing how and when alerts were sent. $LastChangedRevision$ $LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $ use Bric::Util::Alerted::Parts::Sent; my $sent = Bric::Util::Alerted::Parts::Sent->new($init); print "Method: ", $meth->get_type, "\n"; print "Contact: ", $meth->get_value, "\n"; print "Time: ", $meth->get_sent_time("%D %T"), "\n\n"; Used internally by Bric::Util::Alerted. Do not use.

Constructors
Creates a new Bric::Util::Alerted::Parts::Sent object. Pass in the following keys as arguments: type value sent_time Throws: Incorrect number of args to Bric::_set(). Bric::set() - Problems setting fields. Side Effects: NONE. Notes: NONE.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
NONE.

Public Instance Methods
Returns the Contact type string identifying how the alert was sent. Throws: Bad AUTOLOAD method format. Cannot AUTOLOAD private methods. Access denied: READ access for field 'type' required. No AUTOLOAD method. Side Effects: NONE. Notes: NONE. Returns the value of the contact (the address, number, or ID) to which the alert was sent. Throws: Bad AUTOLOAD method format. Cannot AUTOLOAD private methods. Access denied: READ access for field 'value' required. No AUTOLOAD method. Side Effects: NONE. Notes: NONE. Returns the time at which the alert was sent to this contact value. Pass in a strftime format string to get the time back in that format. If no format is passed, it will default to ISO 8601 format. Throws: Bric::_get() - Problems retrieving fields. Unable to unpack date. Unable to format date. Side Effects: NONE. Notes: NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. NONE. David Wheeler <david@justatheory.com> Bric, Bric::Util::Alert, Bric::Util::Alerted